DV4L(1)

NAME
dv4l - make a dv1394 camcorder available for video4linux programs

SYNOPSIS
dv4l [options]

options (shortest form): [-cdrsvh]

DESCRIPTION
dv4l enables programs using the video4linux API to access a dv1394 (Firewire) camcorder. It pushes the video stream to an input device provided by the vloopback kernel module.

Before starting dv4l , make sure that the vloopback module is present in the kernel.

See http://www.lavrsen.dk/twiki/bin/view/Motion/VideoFourLinuxLoopbackDevice (without the dash) for information about this kernel module.

Check your 1394 driver config by starting

$ gst-launch-0.10 dv1394src \! dvdemux \! dvdec \! xvimagesink

from your shell. After turning on your camera, a video window should appear. If this works, dv4l should work as well.

Make sure that your camera is on before starting a video4linux program.

OPTIONS

-c, --color-correction
    Set this option if red objects look blue.

-d, --device device-name
    Use device-name as vloopback input device. If this option is omitted, dv4l will automatically look for an appropriate device.

-r, --rgb-only
    Set this option to prevent V4L applications from choosing YUV palettes. Try this option if you get low frame rates.

-s, --size WxH
    Set capture size and use slower copy mode, only required for some V4L applications. When using this option, V4L applications can't change the capture size.

-v, --verbose level
    Set the amount of debugging messages. A level of 0 means no output at all, 1 is the default, 3 enables all messages.

-h, --help
    displays a help message

EXAMPLES
In most cases, dv4l can be started without any options. Kopete, however needs the --size option, with a resolution of 320x240:

dv4l -s 320x240

Like kopete, gqcam needs the --size option, but supports arbitrary resolutions:

dv4l -s 635x360

dv4l will do the scaling.

LIMITATIONS
dv4l does not support adjustment of color, brightness and similar parameters.

It supports only RGB24 and YUV420P palettes. Some V4L programs may not work as they require different palettes.

It supports only a single dv1394 camera.

Skype v2.0beta seems to have problems with vloopback and does NOT work with dv4l. Try dv4lstart instead.

SEE ALSO
dv4lstart(1)